Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - uplink

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: uplink 1.55-5

Git Clone URL: https://aur-dev.archlinux.org/uplink.git (read-only)
Package Base: uplink
Description: Trust is a weakness - a futuristic computer crime game
Upstream URL: http://www.introversion.co.uk/uplink
Licenses: custom
Submitter: heftig
Maintainer: heftig
Last Packager: heftig
Votes: 9
Popularity: 0.000000
First Submitted: 2009-08-02 11:05
Last Updated: 2016-03-31 16:32

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

Anonymous comment on 2011-11-24 07:24

There is no patch for 1.6, however, I was able to get uplink (bundled with Humble Introversion Bundle) working using the 1.55 patch: http://www.introversion.co.uk/uplink/downloads/uplink-patch-1.55.sh

You might need to install gtk 1.2 (pacman -S gtk), and SDL_mixer (pacman -S sdl_mixer) before anything will work.

Then download the uplink tar.gz file in your HIB key page, extract to a directory somewhere.

Make the uplink patch script executable:
chmod +x uplink-patch-1.55.sh

Then run it:
./uplink-patch-1.55.sh

A window will pop up (user agreement); the next screen will ask where you have installed (or in this case, extracted) uplink. Enter the path of that directory, then click [Begin Install].

The patch will now apply. You'll need to do one more step. Navigate to the directory where uplink is installed, copy uplink.bin.x86 in the root directory of uplink to the lib folder within it. Let's say you installed uplink to /home/pp/uplink. There will be a subfolder /home/pp/uplink/lib that contains an older uplink.bin.x86 file.

Basically you need to overwrite the uplink.x86.bin file in the lib folder of your uplink directory with whatever came with the HIB version (Same file name), or else you will be prompted for a CD code.

Hope that helps anyone who downloaded the Humble Indie Bundle version and is having trouble getting the program to start correctly.

Anonymous comment on 2011-11-22 22:35

It doesn't seem to have been released on their website, but I assure you the version I just downloaded from HIB was 1.6-1. I assume that they're going to release it to everyone else after the hib finishes.

heftig commented on 2011-11-22 22:17

There is no patch available for 1.6.

Anonymous comment on 2011-11-22 21:59

The version released with the new Humble Bundle is 1.6, could you update the package to support it please?

Anonymous comment on 2010-12-06 17:23

I am a robot. This is not an official message. AUR guidelines suggest to not include binaries. Examples:
uplink/libjpeg.so.62
Feel free to disregard this as you would any other comment. This robot will not post here again.

Anonymous comment on 2010-10-02 17:22

Hello,
somehow there is actually no uplink.zip file on my uplink cd
the uplink cd came bundled with defcon.
the setup.exe file on the cd installs version 1.54
the cd contains no linux folder or something...
any ideas?
thanks

heftig commented on 2010-08-25 18:12

Fixed.

Anonymous comment on 2010-08-25 17:14

the codecard link is not working too, you can use: http://www.introversion.co.uk/uplink/downloads/UplinkBoBCodeCard.pdf

heftig commented on 2010-08-25 17:03

Added another URL.

Anonymous comment on 2010-08-25 16:30

Patch is no more on server.